package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AlipayTemp;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.AlipayTempMapper")
public interface AlipayTempMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AlipayTemp record);

    AlipayTemp selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AlipayTemp record);

    List<AlipayTemp> queryAllAlipayTemp(AlipayTemp record);

    List<AlipayTemp> queryAlipayTempByPage(Map<String, Object> parameter);

    int delete(String id);

    AlipayTemp queryAlipayTemp(AlipayTemp record);

    List<AlipayTemp> query(AlipayTemp record);
}

